import CASUserFolder
from AccessControl.Permissions import add_user_folders

def initialize(context):
    """initialize the CASUserFolder product"""

    context.registerHelp()
    context.registerHelpTitle("CASUserFolder")


    # class CASUserFolder can be added via the manage interface
    import CASUserFolder
    context.registerClass(
        instance_class = CASUserFolder.CASUserFolder,
	permission = add_user_folders,
        constructors = (
            CASUserFolder.manage_addCASUserFolderForm,
            CASUserFolder.manage_addCASUserFolderAction
        ),
	icon  = 'icons/user_folder.gif'
    )
    
